import random
import pygame

def sisendi_kontroll(kommide_arv):
    klahvid = pygame.key.get_pressed() #Vaatame, mis klahvi vajutatakse hetkel
    mitu_kommi_võtad = 0

    #Numbriklahvid on sobivad
    if klahvid[pygame.K_1]:
        mitu_kommi_võtad = 1
    elif klahvid[pygame.K_2]:
        mitu_kommi_võtad = 2
    elif klahvid[pygame.K_3]:
       mitu_kommi_võtad = 3

    #Seda teksti näitame niikaua kuni vajutatakse õige numbriklahv
    if mitu_kommi_võtad < 1 or mitu_kommi_võtad > 3:
        joonista_tekst("Võid võtta ainult 1, 2 või 3 kommi!", 3)
        mitu_kommi_võtad = 0

    #Vajutati liiga suur numbriklahv
    if kommide_arv - mitu_kommi_võtad < 0:
        joonista_tekst("Nii palju komme ei ole laual", 3)
        mitu_kommi_võtad = 0

    return mitu_kommi_võtad #Tagastame, mitu kommi võeti



def joonista_kommid(kuhu, palju, ekraan, kommi_pilt):
    #Joonistame väljakule ja mõlemale mängijale komme
    
    kordinaat_y = 40
    if kuhu == "mängija":
        kordinaat_x = 40
    elif kuhu == "arvuti":
        kordinaat_x = 350
    else:
        kordinaat_x = 190

    i = 0
    while i < palju:
        i = i + 1
        ekraan.blit(kommi_pilt, (kordinaat_x, i * 25 + kordinaat_y))
        


def joonista_tekst(tekst, positsioon = 1):
    #Joonistame erinevaid tekste
    
    global font, ekraan
    silt = font.render(tekst, 1, (255,255,0))
    if positsioon == 2:
        ekraan.blit(silt, (10, 375))
    elif positsioon == 3:
        ekraan.blit(silt, (10, 345))
    else:
        ekraan.blit(silt, (10, 360))
    


#Alustame Pygame asju
pygame.init()
ekraan = pygame.display.set_mode([400, 400])

#Laeme kommi pildi
kommi_pilt = pygame.image.load("komm.png")

#Laeme fondid
font = pygame.font.SysFont("monospace", 15)
suur_font = pygame.font.SysFont("monospace", 25)


kommide_arv = 10
mängija_kommide_arv = 0
arvuti_kommide_arv = 0
arvuti_käik = False #Kelle kord on käia?
oota = False #Pärast arvuti käiku ootame veidi

while True: #Mängime nii kaua kuni laual on komme

    ekraan.fill((50,100,100))

    if kommide_arv > 0:

        if arvuti_käik:
            #Arvuti käib
            mitu_kommi_arvuti_võtab = random.randint(1, min(3, kommide_arv))
            arvuti_kommide_arv += mitu_kommi_arvuti_võtab
            kommide_arv -= mitu_kommi_arvuti_võtab
            joonista_tekst("Arvuti võttis " + str(mitu_kommi_arvuti_võtab) + " kommi.")
            arvuti_käik = False
            oota = True
        else:
            #Mängija käib
            joonista_tekst("Laual on " + str(kommide_arv) + " kommi")
            joonista_tekst("Mitu kommi võtad?", 2)
            mitu_kommi_mängija_võtab = sisendi_kontroll(kommide_arv)
            if mitu_kommi_mängija_võtab != 0:
                mängija_kommide_arv += mitu_kommi_mängija_võtab
                kommide_arv -= mitu_kommi_mängija_võtab
                arvuti_käik = True
                oota = True

        joonista_kommid("mängija", mängija_kommide_arv, ekraan, kommi_pilt)
        joonista_kommid("arvuti", arvuti_kommide_arv, ekraan, kommi_pilt)
        joonista_kommid("väljak", kommide_arv, ekraan, kommi_pilt)

        ekraan.blit(suur_font.render("Mängija", 1, (255,255,0)), (10, 10))
        ekraan.blit(suur_font.render("Arvuti", 1, (255,255,0)), (300, 10))
        
    else:
        if arvuti_käik:
            joonista_tekst("Kommid said laualt otsa. Võitsid mängu!")
        else:
            joonista_tekst("Kommid said laualt otsa. Arvuti võitis!")

    pygame.display.flip()
    pygame.time.delay(10)

    if oota:
        pygame.time.delay(1000)
        oota = False

    events = pygame.event.get()
    for event in events:
        if event.type == pygame.QUIT:
            exit()


